| Home | Libraries | People | FAQ | More

#### boost::mqtt5::subscribe_options

Represents the `Subscribe Options` associated with each Subscription.

##### Synopsis

Defined in header `<boost/mqtt5/types.hpp>`

    struct subscribe_options;

##### Data Members

Name | Description
--- | ---
max_qos | Maximum `QoS` level at which the Server can send Application Messages to the Client.
no_local | Option determining if Application Messages will be forwarded to a connection with an equal ClientID.
retain_as_published | Option determining if Application Message will keep their `RETAIN` flag.
retain_handling | Option determining if retained messages are sent when the Subscription is established.

Convenience header `<boost/mqtt5.hpp>`